Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.util.template
Class HtmlPageAttributes.LinkTag

    java.lang.Object
      org.apache.turbine.util.template.HtmlPageAttributes.LinkTag

Enclosing class:
  HtmlPageAttributes

    public class HtmlPageAttributes.LinkTag

extends Object

Helper class to hold data about a <link ... /> html header tag

Constructor Summary
`HtmlPageAttributes.LinkTag(String relation, String url)` Constructor requiring the URL and relation to be set

Method Summary
`String` | `getMedia()` Gets the media for which the stylesheet should be applied.
`String` | `getRelation()` Gets the relation type of the tag.
`String` | `getTitle()` Gets the title of the style sheet
`String` | `getType()` Gets the content type of the style sheet
`String` | `getUrl()`
`void` | `setMedia(String media)` Sets the media for which the stylesheet should be applied.
`void` | `setRelation(String relation)` Sets the relation type of the tag.
`void` | `setTitle(String title)` Sets the title of the stylesheet
`void` | `setType(String type)` Sets the content type of the style sheet

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlPageAttributes.LinkTag

    public HtmlPageAttributes.LinkTag(String relation,
                                      String url)

  Constructor requiring the URL and relation to be set

  Parameters:
    `relation` - Relation type the external link such as prev, next, stylesheet, shortcut icon
    `url` - URL of the external link

Method Detail

### getType

    public String getType()

  Gets the content type of the style sheet

  Returns:
    content type

### setType

    public void setType(String type)

  Sets the content type of the style sheet

  Parameters:
    `type` - content type

### getUrl

    public String getUrl()

  Returns:
    String representation of the URL

### getTitle

    public String getTitle()

  Gets the title of the style sheet

  Returns:
    title

### setTitle

    public void setTitle(String title)

  Sets the title of the stylesheet

  Parameters:
    `title` -

### getMedia

    public String getMedia()

  Gets the media for which the stylesheet should be applied.

  Returns:
    name of the media

### setMedia

    public void setMedia(String media)

  Sets the media for which the stylesheet should be applied.

  Parameters:
    `media` - name of the media

### getRelation

    public String getRelation()

  Gets the relation type of the tag.

  Returns:
    name of the relation

### setRelation

    public void setRelation(String relation)

  Sets the relation type of the tag.

  Parameters:
    `relation` - name of the relation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.